TI20.io TechNews Unabhängiger Tagesdigest der öffentlichen gematik-Repositories

ti und zeta im gematik Homebrew Tap; Go-Änderungen; ti-pkcs12 Mutation Score 1.0

zero-lab: 52 neue Commits auf origin/main. ti und zeta werden im gematik Homebrew Tap veröffentlicht; Änderungen in Go-Bibliotheken und Rust-Crates.

zero-lab

Branch origin/main: 52 neue Commits, 99 Dateien geändert (+2431 / −209).

  • Homebrew: ti wird im gematik Homebrew Tap veröffentlicht (TASK-240, PR #87 chore/gematik-tap).
  • ti probe: Neuer, kürzerer Hinweis für Antworten unter -k, einzeln in Gelb dargestellt (TASK-261, Branch fix/probe-insecure-note).
  • TI-Bibliotheken (Go):
    • ti-tls: begrenzter Verdict-Cache, austauschbarer TI-Trust-Snapshot, Wiederverwendung endet bei nextUpdate (TASK-232, TASK-97).
    • tipki: OCSPChecker begrenzt seinen Ergebnis-Cache und ruhende Responder (TASK-234).
    • epa: VAU-nonPU-Tracing außerhalb der Produktion, kein Klartext im Request-Log, Tests für A_24477 und A_27671 (TASK-216).
    • idpd: Tests nach den Anforderungen benannt, die sie belegen (TASK-217).
    • pep/proxy: Ein https-Upstream läuft über den Web-Profile-Transport des Hosts, http bleibt lokal (TASK-236).
  • Rust:
    • ti-pkcs12: Mutation Score 1.0, zusätzliche Tests für überlebende Mutanten (TASK-218). HMAC-OIDs stehen für ihre MAC-Digests (TASK-255).
    • pki-validation: Pfad vor seinen Gliedern bei Teilkette (TASK-233). Entscheidungen zu TASK-257 und TASK-256 (cargo-vet).
    • zeroize auf 1.9.1; Begründungen für die verbleibenden cargo-vet-Ausnahmen; jwz ist für cargo-vet First-Party (TASK-224).
    • Mutation-Läufe testen standardmäßig vier Mutanten gleichzeitig; Mutation Score zählt einen Timeout einmal (TASK-238).
    • Kompiliertes Python wird nicht mehr getrackt (TASK-254).
  • Tooling/Prozess:
    • Mehrere Tasks pro Branch, änderungsbezogene Checks, ein vollständiger Check pro Merge (TASK-260).
    • Go: check-changed und GO_MODULES (TASK-260).
  • Backlog:
    • Entscheidung decision-15 zur TI-Crate-Struktur; TASK-243 bis 253 angelegt.
    • TASK-244 bis 250 und 252 in Bearbeitung.
    • Neue Tasks zu RFC 8725, RFC 9700, jwz RFC 9864 und Post-Quantum.
    • Erledigt: TASK-97, 216, 217, 218, 224, 226, 227, 232, 233, 234, 236, 238, 254 bis 257, 260, 261.
    • TASK-13 als Beobachtungs-Task nach dem ureq-3.5-Bump.

zeta-cli

Branch origin/main: 2 neue Commits, 2 Dateien geändert (+10 / −1).

  • zeta wird im gematik Homebrew Tap veröffentlicht (PR #15 chore/gematik-tap).

Auf einen Blick

  • zero-lab: 52 neue Commits auf origin/main (99 Dateien, +2431 / −209).
  • ti (zero-lab, PR #87) und zeta (zeta-cli, PR #15) werden im gematik Homebrew Tap veröffentlicht.
  • Go-Änderungen in ti-tls, tipki, epa, idpd und pep/proxy (TASK-97, 216, 217, 232, 234, 236).
  • Rust: ti-pkcs12 Mutation Score 1.0, zeroize 1.9.1, cargo-vet-Anpassungen.
  • Keine neuen Tags, Releases oder Branches.

Automatisch aus den Commit-Historien zusammengefasst und redaktionell geprüft. Maßgeblich sind die verlinkten Repositories.

Quellen

← Alle Beiträge